Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class JSSEAdapter

    java.lang.Object
      weblogic.webservice.client.JSSEAdapter

All Implemented Interfaces:
  SSLAdapter

Deprecated. please migrate to jws for webservices

    public class JSSEAdapter

extends Object
implements SSLAdapter

JSSEAdapter for WLS Webservices support of the JSSE bundled with JDK 1.4

Field Summary
`static String` | `ENFORCE_CONSTRAINTS` Deprecated.
`static String` | `STRICT_CHECKING_DEFAULT` Deprecated.
`protected boolean` | `strictCertChecking` Deprecated.
`static String` | `TRUSTED_CERTS` Deprecated.
`protected static String` | `trustedCertFile` Deprecated.
`protected static boolean` | `verbose` Deprecated.
`static String` | `VERBOSE_PROPERTY` Deprecated.

Constructor Summary
`JSSEAdapter()` Deprecated. Returns an instance of the this class.
`JSSEAdapter(boolean strict)` Deprecated.

Method Summary
`Socket` | `createProxySocket(String host, int port)` Deprecated.
`Socket` | `createSocket(String host, int port)` Deprecated. Returns a socket connected to a ServerSocket on the named host, at the given port.
`void` | `disableProxy()` Deprecated.
`void` | `enableProxy(String host, String port)` Deprecated.
`protected boolean` | `getStrictCheckingDefault()` Deprecated.
`void` | `loadLocalIdentity(InputStream stream, char[] password)` Deprecated. Creates an instance of the SunJSSE provider's default key manager factory, which provides basic X.509-based authentication keys.
`URLConnection` | `openConnection(URL url)` Deprecated. Opens connection to URL
`void` | `setHostnameVerifier(HostnameVerifier verifier)` Deprecated. Sets hostname verifier.
`void` | `setProxy(String host, int port)` Deprecated.
`void` | `setProxyAuth(String user, String password)` Deprecated.
`void` | `setStrictChecking(boolean strict)` Deprecated. Disable strict certificate checking.
`static void` | `setStrictCheckingDefault(boolean strict)` Deprecated. Determines the default setting for Strict Certificate checking of subsequent instances of this adapter class.
`void` | `setTrustManager(TrustManager manager)` Deprecated. Sets the trust policy for all sockets generated by factories of this adapter.
`void` | `setVerbose(boolean verbose)` Deprecated. This method is used to enable or disabled verbose debugging output.
`String` | `toString()` Deprecated. Convience method for display purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRICT_CHECKING_DEFAULT

    public static final String STRICT_CHECKING_DEFAULT

  Deprecated.
  See Also:
    Constant Field Values

### VERBOSE_PROPERTY

    public static final String VERBOSE_PROPERTY

  Deprecated.
  See Also:
    Constant Field Values

### TRUSTED_CERTS

    public static final String TRUSTED_CERTS

  Deprecated.
  See Also:
    Constant Field Values

### ENFORCE_CONSTRAINTS

    public static final String ENFORCE_CONSTRAINTS

  Deprecated.
  See Also:
    Constant Field Values

### verbose

    protected static boolean verbose

  Deprecated.

### strictCertChecking

    protected boolean strictCertChecking

  Deprecated.

### trustedCertFile

    protected static String trustedCertFile

  Deprecated.

Constructor Detail

### JSSEAdapter

    public JSSEAdapter()

  Deprecated.
  Returns an instance of the this class. If set, the SSLAdapter will load the trusted certificates from the file designated by the following system property:

  `weblogic.webservice.client.ssl.trustedcertfile` To disable strict certificate checking by default, set the following system property to `false`:

  `weblogic.webservice.client.ssl.strictcertchecking` To enable the use of proxy by default, set the following system properties to the appropriate values.

  `weblogic.webservice.transport.https.proxy.host` `weblogic.webservice.transport.https.proxy.port`

### JSSEAdapter

    public JSSEAdapter(boolean strict)

  Deprecated.

Method Detail

### enableProxy

    public void enableProxy(String host,
                            String port)

  Deprecated.

### disableProxy

    public void disableProxy()

  Deprecated.

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Deprecated.
  Returns a socket connected to a ServerSocket on the named host, at the given port. This socket is configured using the socket options established for this SSLAdapter.

  Specified by:
    `createSocket` in interface `SSLAdapter`
  Parameters:
    `host` - the server host
    `port` - the server port
  Throws:
    `IOException` - if the connection can't be established
    `UnknownHostException` - if the host is not known

### createProxySocket

    public Socket createProxySocket(String host,
                                    int port)
                             throws IOException

  Deprecated.

  Throws:
    `IOException`

### openConnection

    public URLConnection openConnection(URL url)
                                 throws IOException

  Deprecated.
  Opens connection to URL

  Specified by:
    `openConnection` in interface `SSLAdapter`
  Parameters:
    `url` - URL we will be connecting to
  Returns:
    URLConnection
  Throws:
    `IOException` - if error occurs while accessing Socket

### setStrictCheckingDefault

    public static void setStrictCheckingDefault(boolean strict)

  Deprecated.
  Determines the default setting for Strict Certificate checking of subsequent instances of this adapter class. A value of `false` means instances will accept flawed certificates from the server but warn. This value can also be set with the following system property:

  `weblogic.webservice.client.ssl.strictcertchecking`

  Parameters:
    `strict` - the default setting for strict certificate checking

### getStrictCheckingDefault

    protected final boolean getStrictCheckingDefault()

  Deprecated.

### setStrictChecking

    public final void setStrictChecking(boolean strict)

  Deprecated.
  Disable strict certificate checking. Disabling strict certificate checking will cause all certificates to be accepted with warnings to standard out. When disabled, this adapter will set the TrustManager of all sockets (including those used in URLConnections) and the HostnameVerifier of all URLConnections to to instances that accept all certificates.Setting it to true will revert them to their original values. This cannot value cannot be changed once the Adapter has been used.

  Parameters:
    `strict` - whether or not certificate checking is strictly enforced.

### setHostnameVerifier

    public final void setHostnameVerifier(HostnameVerifier verifier)

  Deprecated.
  Sets hostname verifier.

  Parameters:
    `verifier` - HostnameVerifier object to be set as a hostname verifier.
  See Also:
    `HostnameVerifier`

### setVerbose

    public void setVerbose(boolean verbose)

  Deprecated.
  This method is used to enable or disabled verbose debugging output. This value can also be set with the following system property:

  `weblogic.webservice.client.verbose`

  Parameters:
    `verbose` - the default setting for strict certificate checking

### setTrustManager

    public final void setTrustManager(TrustManager manager)

  Deprecated.
  Sets the trust policy for all sockets generated by factories of this adapter. This allows clients to alter the logic for accepting questionable certificates.

  Parameters:
    `manager` - the trust policy.
  See Also:
    `TrustManager`

### loadLocalIdentity

    public final void loadLocalIdentity(InputStream stream,
                                        char[] password)
                                 throws Exception

  Deprecated.
  Creates an instance of the SunJSSE provider's default key manager factory, which provides basic X.509-based authentication keys.

  Parameters:
    `KeyStore` - The input stream containing the KeyStore that will be queried by KeyManagerFactory for information on which private key and matching public key certificates should be used for authenticating to a remote socket peer.
    `password` - The password to the PKCS 8 encrypted private key.
  Throws:
    `Exception` - if there is a problem reading the keystore

### setProxy

    public void setProxy(String host,
                         int port)

  Deprecated.

### setProxyAuth

    public void setProxyAuth(String user,
                             String password)

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Convience method for display purposes.

  Overrides:
    `toString` in class `Object`
  See Also:
    `for details.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD